<?php

$user_admin=$_COOKIE["user_admin"];
$jahrgang=$_COOKIE["jahrgang"];


if ($jahrgang == ""){ require("jahrgang.php"); exit;} //Wenn man kein Jahrgang ausgew&auml;hlt hat wird die Jahrgangsauswahlseite geladen

include("kurs/datenbankanbindung.php");     // f&uuml;gt die Datenbankanbindung ein: Sys:\php\includes\kurs\datenbankanbindung.php

// Rechteüberprüfung
$db = dbconnect();
if ($user_admin == ""){ require("index.php"); exit;} //Wenn man nicht angemeldet ist, darf man nicht auf die Seite
$result = $db->query("SELECT 1 FROM stan_admin_rechte, stan_admin_rechte_zuord , stan_admin where stan_admin_rechte.stan_admin_rolle = stan_admin_rechte_zuord.stan_admin_rolle AND stan_admin_rechte_zuord.said = stan_admin.said AND stan_admin.user = '$user_admin' AND stan_admin_rechte_zuord.stan_admin_rolle = 'a_prxstdr'");
$row = $result->fetch_array();
if ($row[0] != 1){ include("kurs/rechte.php"); exit;}
// Rechte&uuml;berpr&uuml;fung ende

// Rechteüberprüfung ende


if (isset($_GET['action']))
   $action = $_GET['action'];
else
   $action = "";

switch($action){
default:

echo "
<html>
<head>
<meta http-equiv=\"content-type\" content=\"text/html; charset=utf-8\">
<link rel=\"stylesheet\" href=\"../styles_pc.css\" type=\"text/css\">
<title>Einzel&uuml;bersicht</title>
</head>
<body onload=\"if(document.einzel)document.einzel.user1.focus();return false;\">
<table border=\"0\" style=\"border-collapse: collapse\" width=\"100%\" cellpadding=\"0\" height=\"100%\" id=\"table1\">
    <tr>
        <td>
        <div align=\"center\">
            <table cellspacing=\"0\" cellpadding=\"0\" width=\"550\" border=\"0\">
                <tr>
                    <td width=\"10\" background=\"../images/box_e1.gif\">
                    <img height=\"40\" src=\"../images/blank.gif\" width=\"22\"></td>
                    <td nowrap=\"nowrap\" align=\"left\" width=\"3%\" background=\"../images/box_top.gif\" valign=\"top\"></td>
                    <td width=\"95%\" background=\"../images/box_top.gif\">
                    <img height=\"10\" src=\"../images/blank.gif\" width=\"1\"><br>
                    <font class=\"hd\">Anzahl Anmeldungen Student</font><br>
                    <font class=\"sh\">Anzahl der Anmeldungen für eine Praxisstelle</font><br>
                    <img height=\"5\" src=\"../images/blank.gif\" width=\"1\"></td>
                    <td nowrap=\"nowrap\" align=\"right\" width=\"1%\" background=\"../images/box_e2.gif\">
                    <img height=\"40\" src=\"../images/blank.gif\" width=\"22\"></td>
                </tr>
                <tr>
                    <td width=\"1%\" background=\"../images/box_l.gif\">
                    <img height=\"1\" src=\"../images/blank.gif\" width=\"22\"></td>
                    <td colspan=\"2\"><br>
              <form action="; echo $_SERVER['PHP_SELF'] . "?action=ubersicht"; echo" method=\"POST\" name=\"einzel\">
			  <table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse: collapse; border-width: 0\" bordercolor=\"#111111\" width=\"100%\" id=\"AutoNumber1\" height=\"115\">
			    <tr>
			      <td width=\"25%\" height=\"17\">
			      </td>
			      <td width=\"25%\" height=\"17\">&nbsp;</td>
			      <td width=\"25%\" height=\"17\">
			      <p>&nbsp;</p>
			      </td>
			      <td width=\"25%\" height=\"17\">
			      <p></p>
			      </td>
			    </tr>
			    <tr>
			      <td width=\"50%\"  height=\"17\">
			      <p></p>
			      </td>
			      <td width=\"50%\" height=\"17\">&nbsp;</td>
			    </tr>
			    <tr>
			      <td width=\"50%\"  height=\"17\">
			        Bitte Matrikelnr. eingeben:
			      <p></p>
			      </td>
			      <td width=\"50%\" height=\"17\">
			      <p align=\"left\">
                                <input type='text' size='10' name='user1'>
			      </td>
			    </tr>
			    <tr>
			      <td width=\"50%\"  height=\"17\">
			        &nbsp;
			      <p></p>
			      </td>
			      <td width=\"50%\" height=\"17\">
			      <p align=\"center\">
                                &nbsp;
			      </td>
			    </tr>
			    <tr>
			      <td width=\"50%\"  height=\"17\">
			      &nbsp;
			      </td>
			      <td width=\"50%\" align=\"left\" height=\"17\">
			      oder
			      </td>
			    </tr>
			    <tr>
			      <td width=\"50%\"  height=\"17\">
			        &nbsp;
			      <p></p>
			      </td>
			      <td width=\"50%\" height=\"17\">
			      <p align=\"center\">
                                &nbsp;
			      </td>
			    </tr>
			    <tr>
			      <td width=\"50%\"  height=\"17\">
			      Benutzer auswählen
			      </td>
			      <td width=\"50%\" align=\"left\" height=\"17\">
			    			      ";
			    			      
			    
			    			      $db = dbconnect();
			    			      $query = "SELECT mtknr, vorname, nachname, durchgefallen
			    			                  FROM stud
			    			                 WHERE jahrgang='$jahrgang'
			    			                   AND uid IN (SELECT uid FROM stan_antrag)
			    			                 ORDER BY nachname";
			    			      $result = $db->query ($query)
			    			         or die ("Cannot execute query");
			    			      echo "<select size=\"5\" name=\"user2\">";
			    			      while ($row = $result->fetch_array()){
			                                    echo "<option value=\"".$row[mtknr]."\">$row[nachname], $row[vorname]";
			                                    if ($row[durchgefallen] == "Y"){
			                                      echo " *";
			                                    }
			                                    echo "
			                                    &nbsp;&nbsp;&nbsp;</option>\n";
			    			      }
			    			      echo "</select>";
			    
			      echo "
			      <br>
			      * = inaktiver Bewerber
			      
			      </td>
			    </tr>
			    <tr>
			      <td width=\"50%\"  height=\"17\">
			      &nbsp;
			      </td>
			      <td width=\"50%\" align=\"left\" height=\"17\">
			      &nbsp;
			      </td>
			    </tr>
			    <tr>
			      <td width=\"100%\" \" colspan='2' align=\"center\">
			      <input type=\"submit\" value=\"Abschicken\" name=\"B1\"></td>
			    </tr>
			    <tr>
			      <td width=\"50%\"  height=\"18\">
			      </td>
			      <td width=\"50%\">
			        &nbsp;
			      </td>

			    </tr>
                            <tr>
                              <td width=\"50%\">
                              </td>
                              <td width=\"50%\" align=\"center\">
                              </td>
                            </tr>
                            <tr>
                              <td width=\"50%\">
                              </td>
                              <td width=\"50%\" align=\"center\">
                                &nbsp;
                              </td>
                            </tr>
			  </table>
			  </form>
                    </td>
                    <td width=\"1%\" background=\"../images/box_r.gif\">
                    <img height=\"1\" src=\"../images/blank.gif\" width=\"22\"></td>
                </tr>
                <tr>
                    <td nowrap=\"nowrap\" align=\"left\" width=\"1%\" background=\"../images/box_e3.gif\">
                    <img height=\"16\" src=\"../images/blank.gif\" width=\"22\"></td>
                    <td nowrap=\"nowrap\" align=\"left\" width=\"98%\" background=\"../images/box_bottom.gif\" colspan=\"2\">
                    <img height=\"16\" src=\"../images/blank.gif\" width=\"8\"></td>
                    <td nowrap=\"nowrap\" align=\"right\" width=\"1%\" background=\"../images/box_e4.gif\">
                    <img height=\"16\" src=\"../images/blank.gif\" width=\"22\"> </td>
                </tr>
            </table>
        </div>
        </td>
    </tr>
</table>
</body>
</html>";
break;
case "ubersicht":


$user = $_POST[user2];

if($_POST[user1] != ''){  // Wenn Matrikelnummer eingegeben, dann prüfen, ob es diese im System gibt

  $user = $_POST[user1]; // vorrangig die Matrikelnr bei Eingabe behandeln

  $result = $db->query("SELECT 1
                           FROM stud
                          WHERE mtknr ='$user1'");
  $row = $result->fetch_array();
  $bewerber = $row[bid];
  
  if($row[0] == ''){
  echo "
  <html>
  <head>
  <meta http-equiv=\"content-type\" content=\"text/html; charset=utf-8\">
  <link rel=\"stylesheet\" href=\"../styles_pc.css\" type=\"text/css\">
  <title>Falsche Eingabe</title>
  </head>
  <body>
  <table border=\"0\" style=\"border-collapse: collapse\" width=\"100%\" cellpadding=\"0\" height=\"100%\" id=\"table1\">
     <tr>
         <td>
         <div align=\"center\">
             <table cellspacing=\"0\" cellpadding=\"0\" width=\"550\" border=\"0\">
                 <tr>
                     <td width=\"10\" background=\"../images/box_e1.gif\">
                     <img height=\"40\" src=\"../images/blank.gif\" width=\"22\"></td>
                     <td nowrap=\"nowrap\" align=\"left\" width=\"3%\" background=\"../images/box_top.gif\" valign=\"top\"></td>
                     <td width=\"95%\" background=\"../images/box_top.gif\">
                     <img height=\"10\" src=\"../images/blank.gif\" width=\"1\"><br>
                     <span class=\"sh\">Falsche Eingabe</span><br>
                     <img height=\"5\" src=\"../images/blank.gif\" width=\"1\"></td>
                     <td nowrap=\"nowrap\" align=\"right\" width=\"1%\" background=\"../images/box_e2.gif\">
                     <img height=\"40\" src=\"../images/blank.gif\" width=\"22\"></td>
                 </tr>
                 <tr>
                     <td width=\"1%\" background=\"../images/box_l.gif\">
                     <img height=\"1\" src=\"../images/blank.gif\" width=\"22\"></td>
                     <td colspan=\"2\"><br>
                     <p align=\"center\"><b>Die Matrikelnummer ist im System nicht vorhanden</p></b>
                     </p>
                     <p align=\"center\"><a href=\"javascript:history.back()\">
                     <img border=\"0\" src=\"../images/zurueck.gif\" width=\"77\" height=\"22\"></a><br>
                     </p>
                     <p></p>
                     <p></p>
                     <p></p>
                     <p></p>
                     <p><br>
                     </p>
                     </td>
                     <td width=\"1%\" background=\"../images/box_r.gif\">
                     <img height=\"1\" src=\"../images/blank.gif\" width=\"22\"></td>
                 </tr>
                 <tr>
                     <td nowrap=\"nowrap\" align=\"left\" width=\"1%\" background=\"../images/box_e3.gif\">
                     <img height=\"16\" src=\"../images/blank.gif\" width=\"22\"></td>
                     <td nowrap=\"nowrap\" align=\"left\" width=\"98%\" background=\"../images/box_bottom.gif\" colspan=\"2\">
                     <img height=\"16\" src=\"../images/blank.gif\" width=\"8\"></td>
                     <td nowrap=\"nowrap\" align=\"right\" width=\"1%\" background=\"../images/box_e4.gif\">
                     <img height=\"16\" src=\"../images/blank.gif\" width=\"22\"> </td>
                 </tr>
             </table>
         </div>
         </td>
     </tr>
  </table>
  </body>
  </html>";
  exit;
  }
}

$result = $db->query("SELECT uid
                         FROM stud
                        WHERE mtknr ='$user'");
$row = $result->fetch_array();

$uid1 = $row[uid];




require_once('../stud/prints/class.fpdf_table.php');
require_once("../stud/prints/table_def.inc");
$pdf=new utfFPDF();


$pdf->SetAutoPageBreak(true, 20);
$pdf->SetTopMargin(0);

$pdf->AddPage();

$db = dbconnect();

$res = $db->query("SELECT mtknr, nachname, vorname, postrasse, poort, poplz FROM stud WHERE uid='$uid1'");
$row = $res->fetch_array();


$pdf->SetFont('Arial', '', 11);
$pdf->SetY(26);
$pdf->SetX(24);
$pdf->Cell(0, 3, "Matrikelnr.: $row[mtknr]" , 0, 0, 'L');


$pdf->SetFont('Arial', '', 7);
$pdf->SetY(52);
$pdf->SetX(24);
$pdf->Cell(0, 3, "$row[vorname] $row[nachname]  -  $row[postrasse]  -  $row[poplz] $row[poort]", 0, 0, 'L');


$pdf->SetLineWidth(0.2);

// Linie zeichnen
$pdf->Line(23, 55, 100, 55); 


## Falzmarken
$pdf->SetLineWidth(0.2);

$pdf->Line(5.3, 105, 9, 105); 
$pdf->Line(5.3, 148.5, 11.5, 148.5); 
$pdf->Line(5.3, 211, 9, 211); 
##


$pdf->SetFont('Arial', '', 11);
$pdf->SetY(61.3);
$pdf->SetX(24);
$pdf->MultiCell(0, 4.5, "FH-Ludwigsburg\nZulassungsamt\nReuteallee 36\n71634 Ludwigsburg", 0, 'L');




$pdf->SetFont('Arial', 'B', 12);
$pdf->SetY(97);
$pdf->SetX(24);
$pdf->MultiCell(0, 4.5, "Praktische Ausbildung im Vorbereitungsdienst", 0, 'L');


$pdf->SetFont('Arial', 'B', 12);
$pdf->SetY(107);
$pdf->SetX(24);
$pdf->MultiCell(0, 4.5, "Antrag auf Zuweisung zu den Ausbildungsstellen", 0, 'L');


$columns = 5; //five columns

#$pdf->SetX(30);
$pdf->SetY(120);
	//we initialize the table class
	$pdf->Table_Init($columns, true, true);

	$table_subtype = $table_default_table_type;
	$pdf->Set_Table_Type($table_subtype);
	
	//TABLE HEADER SETTINGS
	$header_subtype = $table_default_header_type;
	
	
	for($i=0; $i<$columns; $i++) $header_type[$i] = $table_default_header_type;

	$header_type[0]['WIDTH'] = 5;
	$header_type[1]['WIDTH'] = 40;
	$header_type[2]['WIDTH'] = 40;
	$header_type[3]['WIDTH'] = 40;
	$header_type[4]['WIDTH'] = 40;
	
	$header_type[0]['TEXT'] = "";
	$header_type[1]['TEXT'] = "Ausbildungsstelle Anschrift";
	$header_type[2]['TEXT'] = "Ausbildungsinhalt";
	$header_type[3]['TEXT'] = "Sachbereich";
	$header_type[4]['TEXT'] = "Zeitraum";
	
	#$header_type[1]['COLSPAN'] = "2";

	//set the header type
	$pdf->Set_Header_Type($header_type);
	
	$pdf->Draw_Header();
	
	//TABLE DATA SETTINGS
	$data_subtype = $table_default_data_type;
	
	$data_type = Array();//reset the array
	for ($i=0; $i<$columns; $i++) $data_type[$i] = $data_subtype;

	$pdf->Set_Data_Type($data_type);
	
	$fsize = 10;
	$colspan = 1;
	$rr = 255;

        $db = dbconnect();
        $query = "SELECT bezeichnung, bereich, str, plz, ort, sachbereich, DATE_FORMAT(beginn, '%d.%m.%Y') beginn, DATE_FORMAT(beginn, '%Y%m%d') beginnform, DATE_FORMAT(ende, '%d.%m.%Y') ende
	            FROM stan_antrag t1
	           WHERE t1.status = (
	                               SELECT MAX(t2.status)
	                                 FROM stan_antrag t2
	                                WHERE t1.aendid = t2.aendid
	                              )
                      AND t1.uid = '$uid1'
                      AND (t1.zuweisung is NULL OR t1.zuweisung='Z')
                    ORDER BY beginnform";
        $result = $db->query ($query)
           or die ("Cannot execute query");
 
        while ($row = $result->fetch_array())
	{
		$data = Array();
		
		$res2 = $db->query("SELECT bezeichnung FROM stan_stellenbereiche WHERE sbid='$row[sachbereich]'");
		$row2 = $res2->fetch_array();
		
		$j = $j+1;


/* Schriftgröße
		$data[0]['T_SIZE'] = $fsize;
		$data[1]['T_SIZE'] = $fsize+3;
		$data[3]['T_SIZE'] = $fsize+4;
*/
/* Schriftfarbe und Zellenhintergrund
		$data[0]['T_COLOR'] = array(0,0,0); //Schriftfarbe
		$data[0]['BG_COLOR'] = array($rr,$rr,$rr);
		$data[3]['T_COLOR'] = array($rr,240,240);
		$data[3]['BG_COLOR'] = array($rr,100,135);
*/
			$data[0]['TEXT'] = $j;
			$data[0]['T_ALIGN'] = "C"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
			$data[0]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
		       #$data[0]['T_TYPE'] = "BI"; // B=BOLD, I=ITALIC
			
			$data[1]['TEXT'] = "$row[bezeichnung]\n$row[str]\n$row[plz] $row[ort]";
			$data[1]['T_ALIGN'] = "L";
			$data[1]['V_ALIGN'] = "M";
			
			$data[2]['TEXT'] = "$row[bereich]";
			$data[2]['T_ALIGN'] = "L";
			$data[2]['V_ALIGN'] = "M";
			
			$data[3]['TEXT'] = "$row2[bezeichnung]";
			$data[3]['T_ALIGN'] = "L";
			$data[3]['V_ALIGN'] = "M";
			
			$data[4]['TEXT'] = "$row[beginn] - $row[ende]";
			$data[4]['T_ALIGN'] = "C";
			$data[4]['V_ALIGN'] = "M";

		$pdf->Draw_Data($data);
	}

	$pdf->Draw_Table_Border();

$pos=$pdf->GetY()+10;
$pdf->SetFont('Arial', 'B', 12);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->MultiCell(190, 5, "Persönliche Erklärung", 0, 'L');

$pos=$pdf->GetY();
$pdf->SetFont('Arial', 'B', 12);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->MultiCell(7, 5, "1.", 0, 'L');

$pdf->SetFont('Arial', 'B', 12);
$pdf->SetY($pos);
$pdf->SetX(31);
$pdf->MultiCell(160, 5, "Die Hinweise der Fachhochschule Ludwigsburg zur praktischen Ausbildung gem. § 17 Abs. 1 AprOVw gD (Praxisjahr) habe ich zur Kenntnis genommen.", 0, 'L');

/*
$pos=$pdf->GetY();

$pdf->SetFont('Arial', 'B', 12);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->MultiCell(7, 5, "2.", 0, 'L');

$pdf->SetFont('Arial', 'B', 12);
$pdf->SetY($pos);
$pdf->SetX(31);
$pdf->MultiCell(160, 5, "Für die Zeit einer Zuweisung außerhalb Baden-Württembergs verzichte ich auf die Erstattung etwaiger Reisekosten sowie auf die Vergütung von Umzugskosten und Trennungsgeld.", 0, 'L');
*/
$pos=$pdf->GetY();

$pdf->SetFont('Arial', 'B', 12);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->MultiCell(7, 5, "2.", 0, 'L');

$pdf->SetFont('Arial', 'B', 12);
$pdf->SetY($pos);
$pdf->SetX(31);
$pdf->MultiCell(160, 5, "Das Einverständnis aller o.a. Ausbildungsstellen liegt mir vor.", 0, 'L');


$pos=$pdf->GetY()+25;
$pdf->SetLineWidth(0.3);

// Linie zeichnen
$pdf->Line(24, $pos, 190, $pos);

$pos=$pos+2;

$pdf->SetFont('Arial', '', 12);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->MultiCell(0, 5, "Datum, Unterschrift", 0, 'L');

$pdf->Output();
}
?>